From 622c24bbb00cdb1f6dd7d52cfcb47498a242afe8 Mon Sep 17 00:00:00 2001
From: Stephanie Buser <sbuser@codeaurora.org>
Date: Thu, 22 Apr 2021 20:03:22 +0530
Subject: [PATCH 08/15] Adding Support to bring Sample Application to Image

---
 sample/adc/Makefile                   | 4 ++++
 sample/atc/Makefile                   | 4 ++++
 sample/audio/Makefile                 | 4 ++++
 sample/can/Makefile                   | 4 ++++
 sample/data_call/Makefile             | 9 +++++++++
 sample/dm/Makefile                    | 4 ++++
 sample/gpio/Makefile                  | 4 ++++
 sample/gpio_interrupt/Makefile        | 4 ++++
 sample/helloworld/Makefile            | 4 ++++
 sample/i2c/Makefile                   | 4 ++++
 sample/low_power_consume_app/Makefile | 7 +++++++
 sample/nf/Makefile                    | 4 ++++
 sample/nw/Makefile                    | 4 ++++
 sample/sim/Makefile                   | 4 ++++
 sample/sms/Makefile                   | 4 ++++
 sample/spi/Makefile                   | 6 +++++-
 sample/test_sdk_api/Makefile          | 4 ++++
 sample/uart/Makefile                  | 4 ++++
 sample/uevent/Makefile                | 4 ++++
 sample/voice/Makefile                 | 4 ++++
 sample/wifi/Makefile                  | 4 ++++
 sdk.mk                                | 3 ++-
 22 files changed, 95 insertions(+), 2 deletions(-)

diff --git a/sample/adc/Makefile b/sample/adc/Makefile
index 3e84a7a..c51499b 100755
--- a/sample/adc/Makefile
+++ b/sample/adc/Makefile
@@ -17,6 +17,10 @@ all: $(QL_TARGET_EXE)
 $(QL_TARGET_EXE): $(QL_TARGET_OBJS)
 	$(CC) -o $@ $(QL_TARGET_OBJS) $(LDFLAGS)
 
+	@echo "Copy "$(QL_TARGET_EXE)" to "$(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_TARGET_OUT_DIR)
+
 clean:
 	rm -rf *.o
 	rm -rf $(QL_TARGET_EXE) 
diff --git a/sample/atc/Makefile b/sample/atc/Makefile
index 202e2de..09d4cc3 100755
--- a/sample/atc/Makefile
+++ b/sample/atc/Makefile
@@ -17,6 +17,10 @@ all: $(QL_TARGET_EXE)
 $(QL_TARGET_EXE): $(QL_TARGET_OBJS)
 	$(CC) -o $@ $(QL_TARGET_OBJS) $(LDFLAGS)
 
+	@echo "Copy "$(QL_TARGET_EXE)" to "$(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_TARGET_OUT_DIR)
+
 clean:
 	rm -rf *.o
 	rm -rf $(QL_TARGET_EXE) 
diff --git a/sample/audio/Makefile b/sample/audio/Makefile
index 296c3a0..16b1fd9 100755
--- a/sample/audio/Makefile
+++ b/sample/audio/Makefile
@@ -16,6 +16,10 @@ all:$(QL_TARGET_ELF)
 $(QL_TARGET_ELF):$(QL_TARGET_OBJS)
 	$(CC) -o $@ $(QL_TARGET_OBJS) $(LDFLAGS)
 
+	@echo "Copy "$(QL_TARGET_ELF)" to "$(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_ELF) $(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_ELF) $(QL_TARGET_OUT_DIR)
+
 clean:
 	rm -rf *.o
 	rm -rf $(QL_TARGET_ELF)
diff --git a/sample/can/Makefile b/sample/can/Makefile
index dba413d..394cb1d 100755
--- a/sample/can/Makefile
+++ b/sample/can/Makefile
@@ -17,6 +17,10 @@ all: $(QL_TARGET_EXE)
 $(QL_TARGET_EXE): $(QL_TARGET_OBJS)
 	$(CC) -o $@ $(QL_TARGET_OBJS) $(LDFLAGS)
 
+	@echo "Copy "$(QL_TARGET_EXE)" to "$(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_TARGET_OUT_DIR)
+
 clean:
 	rm -rf *.o
 	rm -rf $(QL_TARGET_EXE) 
diff --git a/sample/data_call/Makefile b/sample/data_call/Makefile
index cad6870..fa658c1 100755
--- a/sample/data_call/Makefile
+++ b/sample/data_call/Makefile
@@ -28,6 +28,15 @@ $(QL_TARGET_APN_EXE): $(QL_TARGET_APN_OBJS)
 $(QL_TARGET_MULTI_DATA_CALL_EXE): $(QL_TARGET_MULTI_DATA_CALL_OBJS)
 	$(CC) -o $@ $(QL_TARGET_MULTI_DATA_CALL_OBJS) $(LDFLAGS)
 
+	@echo "Copy "$(QL_TARGET_DATA_CALL_EXE)" to "$(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_DATA_CALL_EXE) $(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_DATA_CALL_EXE) $(QL_TARGET_OUT_DIR)
+	@echo "Copy "$(QL_TARGET_APN_EXE)" to "$(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_APN_EXE) $(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_APN_EXE) $(QL_TARGET_OUT_DIR)
+	@echo "Copy "$(QL_TARGET_MULTI_DATA_CALL_EXE)" to "$(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_MULTI_DATA_CALL_EXE) $(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_MULTI_DATA_CALL_EXE) $(QL_TARGET_OUT_DIR)
 
 clean:
 	rm -rf *.o
diff --git a/sample/dm/Makefile b/sample/dm/Makefile
index 5552fde..b89ca2b 100755
--- a/sample/dm/Makefile
+++ b/sample/dm/Makefile
@@ -17,6 +17,10 @@ all: $(QL_TARGET_EXE)
 $(QL_TARGET_EXE): $(QL_TARGET_OBJS)
 	$(CC) -o $@ $(QL_TARGET_OBJS) $(LDFLAGS)
 
+	@echo "Copy "$(QL_TARGET_EXE)" to "$(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_TARGET_OUT_DIR)
+
 clean:
 	rm -rf *.o
 	rm -rf $(QL_TARGET_EXE) 
diff --git a/sample/gpio/Makefile b/sample/gpio/Makefile
index e876369..15534f1 100755
--- a/sample/gpio/Makefile
+++ b/sample/gpio/Makefile
@@ -17,6 +17,10 @@ all: $(QL_TARGET_EXE)
 $(QL_TARGET_EXE): $(QL_TARGET_OBJS)
 	$(CC) -o $@ $(QL_TARGET_OBJS) $(LDFLAGS)
 
+	@echo "Copy "$(QL_TARGET_EXE)" to "$(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_TARGET_OUT_DIR)
+
 clean:
 	rm -rf *.o
 	rm -rf $(QL_TARGET_EXE) 
diff --git a/sample/gpio_interrupt/Makefile b/sample/gpio_interrupt/Makefile
index 0c5c1bc..2df8093 100755
--- a/sample/gpio_interrupt/Makefile
+++ b/sample/gpio_interrupt/Makefile
@@ -17,6 +17,10 @@ all: $(QL_TARGET_EXE)
 $(QL_TARGET_EXE): $(QL_TARGET_OBJS)
 	$(CC) -o $@ $(QL_TARGET_OBJS) $(LDFLAGS)
 
+	@echo "Copy "$(QL_TARGET_EXE)" to "$(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_TARGET_OUT_DIR)
+
 clean:
 	rm -rf *.o
 	rm -rf $(QL_TARGET_EXE) 
diff --git a/sample/helloworld/Makefile b/sample/helloworld/Makefile
index d483dc9..e0c03ca 100755
--- a/sample/helloworld/Makefile
+++ b/sample/helloworld/Makefile
@@ -17,6 +17,10 @@ all: $(QL_TARGET_EXE)
 $(QL_TARGET_EXE): $(QL_TARGET_OBJS)
 	$(CC) -o $@ $(QL_TARGET_OBJS) $(LDFLAGS)
 
+	@echo "Copy "$(QL_TARGET_EXE)" to "$(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_TARGET_OUT_DIR)
+
 clean:
 	rm -rf *.o
 	rm -rf $(QL_TARGET_EXE) 
diff --git a/sample/i2c/Makefile b/sample/i2c/Makefile
index 219cdc2..dd13d6e 100755
--- a/sample/i2c/Makefile
+++ b/sample/i2c/Makefile
@@ -17,6 +17,10 @@ all: $(QL_TARGET_EXE)
 $(QL_TARGET_EXE): $(QL_TARGET_OBJS)
 	$(CC) -o $@ $(QL_TARGET_OBJS) $(LDFLAGS)
 
+	@echo "Copy "$(QL_TARGET_EXE)" to "$(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_TARGET_OUT_DIR)
+
 clean:
 	rm -rf *.o
 	rm -rf $(QL_TARGET_EXE) 
diff --git a/sample/low_power_consume_app/Makefile b/sample/low_power_consume_app/Makefile
index 7d95b99..2ff3b77 100755
--- a/sample/low_power_consume_app/Makefile
+++ b/sample/low_power_consume_app/Makefile
@@ -28,6 +28,13 @@ $(QL_TARGET_EXE): $(QL_TARGET_OBJS)
 $(QL_TARGET_EXE_ALL): $(QL_TARGET_LPM_ALL_OBJS)
 	$(CC) -o $@ $(QL_TARGET_LPM_ALL_OBJS) $(LDFLAGS)
 
+	@echo "Copy "$(QL_TARGET_EXE_ALL)" to "$(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE_ALL) $(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE_ALL) $(QL_TARGET_OUT_DIR)
+	@echo "Copy "$(QL_TARGET_EXE)" to "$(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_TARGET_OUT_DIR)
+
 clean:
 	rm -rf *.o
 	rm -rf $(QL_TARGET_EXE)  $(QL_TARGET_EXE_ALL)
diff --git a/sample/nf/Makefile b/sample/nf/Makefile
index 6982340..c0e83dc 100755
--- a/sample/nf/Makefile
+++ b/sample/nf/Makefile
@@ -17,6 +17,10 @@ all: $(QL_TARGET_EXE)
 $(QL_TARGET_EXE): $(QL_TARGET_OBJS)
 	$(CC) -o $@ $(QL_TARGET_OBJS) $(LDFLAGS)
 
+	@echo "Copy "$(QL_TARGET_EXE)" to "$(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_TARGET_OUT_DIR)
+
 clean:
 	rm -rf *.o
 	rm -rf $(QL_TARGET_EXE) 
diff --git a/sample/nw/Makefile b/sample/nw/Makefile
index 89950ca..85cce84 100755
--- a/sample/nw/Makefile
+++ b/sample/nw/Makefile
@@ -17,6 +17,10 @@ all: $(QL_TARGET_EXE)
 $(QL_TARGET_EXE): $(QL_TARGET_OBJS)
 	$(CC) -o $@ $(QL_TARGET_OBJS) $(LDFLAGS)
 
+	@echo "Copy "$(QL_TARGET_EXE)" to "$(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_TARGET_OUT_DIR)
+
 clean:
 	rm -rf *.o
 	rm -rf $(QL_TARGET_EXE) 
diff --git a/sample/sim/Makefile b/sample/sim/Makefile
index 4a9b1f1..bcea0cb 100755
--- a/sample/sim/Makefile
+++ b/sample/sim/Makefile
@@ -17,6 +17,10 @@ all: $(QL_TARGET_EXE)
 $(QL_TARGET_EXE): $(QL_TARGET_OBJS)
 	$(CC) -o $@ $(QL_TARGET_OBJS) $(LDFLAGS)
 
+	@echo "Copy "$(QL_TARGET_EXE)" to "$(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_TARGET_OUT_DIR)
+
 clean:
 	rm -rf *.o
 	rm -rf $(QL_TARGET_EXE) 
diff --git a/sample/sms/Makefile b/sample/sms/Makefile
index 8711fe2..a4f5438 100755
--- a/sample/sms/Makefile
+++ b/sample/sms/Makefile
@@ -17,6 +17,10 @@ all: $(QL_TARGET_EXE)
 $(QL_TARGET_EXE): $(QL_TARGET_OBJS)
 	$(CC) -o $@ $(QL_TARGET_OBJS) $(LDFLAGS)
 
+	@echo "Copy "$(QL_TARGET_EXE)" to "$(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_TARGET_OUT_DIR)
+
 clean:
 	rm -rf *.o
 	rm -rf $(QL_TARGET_EXE) 
diff --git a/sample/spi/Makefile b/sample/spi/Makefile
index 694760b..775f787 100755
--- a/sample/spi/Makefile
+++ b/sample/spi/Makefile
@@ -17,6 +17,10 @@ all: $(QL_TARGET_EXE)
 $(QL_TARGET_EXE): $(QL_TARGET_OBJS)
 	$(CC) -o $@ $(QL_TARGET_OBJS) $(LDFLAGS)
 
+	@echo "Copy "$(QL_TARGET_EXE)" to "$(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_TARGET_OUT_DIR)
+
 clean:
 	rm -rf *.o
-	rm -rf $(QL_TARGET_EXE) 
\ No newline at end of file
+	rm -rf $(QL_TARGET_EXE)
diff --git a/sample/test_sdk_api/Makefile b/sample/test_sdk_api/Makefile
index 6a9bd95..6ae8680 100755
--- a/sample/test_sdk_api/Makefile
+++ b/sample/test_sdk_api/Makefile
@@ -17,6 +17,10 @@ all: $(QL_TARGET_EXE)
 $(QL_TARGET_EXE): $(QL_TARGET_OBJS)
 	$(CC) -o $@ $(QL_TARGET_OBJS) $(LDFLAGS)
 
+	@echo "Copy "$(QL_TARGET_EXE)" to "$(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_TARGET_OUT_DIR)
+
 clean:
 	rm -rf *.o
 	rm -rf $(QL_TARGET_EXE) 
diff --git a/sample/uart/Makefile b/sample/uart/Makefile
index 2825e97..771418b 100755
--- a/sample/uart/Makefile
+++ b/sample/uart/Makefile
@@ -18,6 +18,10 @@ all: $(QL_TARGET_EXE)
 $(QL_TARGET_EXE): $(QL_TARGET_OBJS)
 	$(CC) -o $@ $(QL_TARGET_OBJS) $(LDFLAGS)
 
+	@echo "Copy "$(QL_TARGET_EXE)" to "$(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_TARGET_OUT_DIR)
+
 clean:
 	rm -rf *.o
 	rm -rf $(QL_TARGET_EXE) 
diff --git a/sample/uevent/Makefile b/sample/uevent/Makefile
index e16d36e..b8c244f 100755
--- a/sample/uevent/Makefile
+++ b/sample/uevent/Makefile
@@ -17,6 +17,10 @@ all: $(QL_TARGET_EXE)
 $(QL_TARGET_EXE): $(QL_TARGET_OBJS)
 	$(CC) -o $@ $(QL_TARGET_OBJS) $(LDFLAGS)
 
+	@echo "Copy "$(QL_TARGET_EXE)" to "$(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_TARGET_OUT_DIR)
+
 clean:
 	rm -rf *.o
 	rm -rf $(QL_TARGET_EXE) 
diff --git a/sample/voice/Makefile b/sample/voice/Makefile
index 95830e0..1595101 100755
--- a/sample/voice/Makefile
+++ b/sample/voice/Makefile
@@ -17,6 +17,10 @@ all: $(QL_TARGET_EXE)
 $(QL_TARGET_EXE): $(QL_TARGET_OBJS)
 	$(CC) -o $@ $(QL_TARGET_OBJS) $(LDFLAGS)
 
+	@echo "Copy "$(QL_TARGET_EXE)" to "$(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_TARGET_OUT_DIR)
+
 clean:
 	rm -rf *.o
 	rm -rf $(QL_TARGET_EXE) 
diff --git a/sample/wifi/Makefile b/sample/wifi/Makefile
index 5c4736b..cb38fc1 100755
--- a/sample/wifi/Makefile
+++ b/sample/wifi/Makefile
@@ -17,6 +17,10 @@ all: $(QL_TARGET_EXE)
 $(QL_TARGET_EXE): $(QL_TARGET_OBJS)
 	$(CC) -o $@ $(QL_TARGET_OBJS) $(LDFLAGS)
 
+	@echo "Copy "$(QL_TARGET_EXE)" to "$(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_ROOTFS_BIN_DIR)
+	@cp $(QL_TARGET_EXE) $(QL_TARGET_OUT_DIR)
+
 clean:
 	rm -rf *.o
 	rm -rf $(QL_TARGET_EXE) 
diff --git a/sdk.mk b/sdk.mk
index 037eb19..f60c162 100755
--- a/sdk.mk
+++ b/sdk.mk
@@ -9,7 +9,8 @@ export QL_ROOTFS_DIR:=$(QL_SDK_DIR)/ql-ol-rootfs
 export QL_TOOLS_DIR:=$(QL_SDK_DIR)/tools
 export QL_TOOLS_BIN_DIR=$(QL_SDK_DIR)/tools/bin
 export QL_TOOLS_CONF_DIR=$(QL_SDK_DIR)/tools/conf
-
+export QL_ROOTFS_BIN_DIR:=$(QL_ROOTFS_DIR)/usr/bin
+export QL_TARGET_OUT_DIR:=$(QL_SDK_DIR)/target/sample
 
 export PATH := $(addsuffix :$(QL_TOOLCHAIN_DIR), $(PATH))
 
-- 
2.7.4

